#include <iostream>
#include <string>
#include <vector>
#include <map>
using namespace std;

int main(){
    int n, k;
    cin>>n>>k;
    string s;
    cin>>s;
    bool z = false;
    bool y = true;
    int p = 0;
    int r = 0;
    for(int i = 0; i < n; i++){
        if(s[i] == 'a'){
            y = true;
            p++;
        }
        else{
            z = true;
            r++;
        }
        if(y && z){
            if(p >= 2 && r >= 2){
                cout<<"3 ";
            }
            else{
                cout<<"2 ";
            }
        }
        else{
            cout<<"1 ";
        }
    }
}